/*
 * Copyright © 2021-2023 Fachhochschule für die Wirtschaft (FHDW) Hannover
 *
 * This file is part of ipspiel24-tictactoe-gui.
 *
 * ipspiel24-tictactoe-gui is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * ipspiel24-tictactoe-gui is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * ipspiel24-tictactoe-gui. If not, see <http://www.gnu.org/licenses/>.
 */
module de.fhdw.gaming.ipspiel24.tictactoe.gui {
    exports de.fhdw.gaming.ipspiel24.tictactoe.gui;
    exports de.fhdw.gaming.ipspiel24.tictactoe.gui.event;

    requires transitive de.fhdw.gaming.ipspiel24.tictactoe.core;
    requires transitive de.fhdw.gaming.gui;

    requires transitive javafx.base;
    requires transitive javafx.controls;
    requires transitive javafx.graphics;
    requires transitive javafx.fxml;

    provides de.fhdw.gaming.gui.GuiObserverFactory
            with de.fhdw.gaming.ipspiel24.tictactoe.gui.impl.TicTacToeGuiObserverFactoryImpl;
    provides de.fhdw.gaming.ipspiel24.tictactoe.core.domain.factory.TicTacToeStrategyFactory
            with de.fhdw.gaming.ipspiel24.tictactoe.gui.impl.TicTacToeInteractiveStrategyFactory;

    opens de.fhdw.gaming.ipspiel24.tictactoe.gui.impl;
}
